Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cpw.mods.fml.relauncher
Class FMLRelaunchLog

    java.lang.Object
      cpw.mods.fml.relauncher.FMLRelaunchLog

    public class FMLRelaunchLog

extends Object

Field Summary
`static FMLRelaunchLog` | `log` Our special logger for logging issues to.

Method Summary
`static void` | `fine(String format, Object... data)`
`static void` | `finer(String format, Object... data)`
`static void` | `finest(String format, Object... data)`
`Logger` | `getLogger()`
`static void` | `info(String format, Object... data)`
`static void` | `log(Level level, String format, Object... data)`
`static void` | `log(Level level, Throwable ex, String format, Object... data)`
`static void` | `severe(String format, Object... data)`
`static void` | `warning(String format, Object... data)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static FMLRelaunchLog log

  Our special logger for logging issues to. We copy various assets from the Minecraft logger to acheive a similar appearance.

Method Detail

### log

    public static void log(Level level,
                           String format,
                           Object... data)

### log

    public static void log(Level level,
                           Throwable ex,
                           String format,
                           Object... data)

### severe

    public static void severe(String format,
                              Object... data)

### warning

    public static void warning(String format,
                               Object... data)

### info

    public static void info(String format,
                            Object... data)

### fine

    public static void fine(String format,
                            Object... data)

### finer

    public static void finer(String format,
                             Object... data)

### finest

    public static void finest(String format,
                              Object... data)

### getLogger

    public Logger getLogger()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD